> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/ipt/ip-transit/modifyiptransitbandwidth.md).

# ModifyIPTransitBandwidth

## 1. API Description

This API (ModifyIPTransitBandwidth) is used to modifies the bandwidth cap of an IP Transit.

{% hint style="info" %}
**Notes**

* The bandwidth cap can only be modified when the IP Transit state is **AVAILABLE**.
* This is an asynchronous API. The bandwidth modification is not immediately completed. During this period, the IP Transit state will be **UPDATING**. You can call [DescribeIPTransits](https://github.com/zenlayer/zenlayercloud-api-doc-en/tree/main/ipt/ip-transit/describe-iptransits.md) to query the result. If the state (`iptStatus`) changes from **UPDATING** to **AVAILABLE**, the bandwidth update is successful.
* No other operations are allowed on this IP Transit during the bandwidth modification.
  {% endhint %}

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name  | Required | Type    | Description                                                                                                                                                                                                                |
| --------------- | -------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| iptId           | Yes      | String  | IP Transit ID.                                                                                                                                                                                                             |
| bandwidth       | Yes      | Integer | <p>Bandwidth cap to modify.</p><p>Value range: 1-1000.</p><p>Unit: Mbps.</p><p>Value range: \[5, 1000]</p>                                                                                                                 |
| commitBandwidth | No       | Integer | <p>Committed bandwidth.</p><p>This parameter is valid when the IP Transit bandwidth billing method is 95th percentile billing. If not set, the committed bandwidth will not be modified.</p><p>Value range: \[5, 1000]</p> |

## 3. Output Parameters

| Parameter Name | Type   | Description                                                                                                           |
| -------------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Modify IP Transit bandwidth to 100 Mbps**

```json
POST /api/v2/ipt HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: ModifyIPTransitBandwidth
Request：
{
    "iptId": "your-ipt-id",
    "bandwidth": 100
}
Response：
{
  "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E",
  "response": {
     "requestId": "T98044459-95B2-477E-9A2F-00253A70CC6E"，
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code                              | Description                                                    |
| ---------------- | --------------------------------------- | -------------------------------------------------------------- |
| 404              | INVALID\_RIPT\_NOT\_FOUND               | The IP Transit instance does not exist.                        |
| 409              | INVALID\_RIPT\_HA\_ROLE                 | The IP Transit's HA role does not apply to this operation.     |
| 409              | INVALID\_RIPT\_HA\_STATUS\_NOT\_RUNNING | The IP Transit state must be RUNNING to perform HA operations. |
